Subject: bug#32536: displayed width of man pages

From: Juri Linkov <[email-masked]>
Date: Thu, 06 Sep 2018 01:20:12 +0300

>>> BTW, what is the default for the minimum length of the lines?  Is the
>>> default for the maximum length the same?
>>
>> Like the new Man-width-max, we could also add Man-width-min as well.
>
> I thought the line length would be determined depending on Man-width,
> the new maximum width and the width of the window displaying the buffer.
> That would make Man-width what specifies the minimum length:
>
> If the width of the window suggests using a line length between
> Man-width and the new maximum length, use the suggested length.
> Otherwise use Man-width if the window is narrower than that, or the new
> maximum length if the window is wider than the new maximum length.
>
> Renaming Man-width to Man-width-min would make sense then, unless there
> were a third option:  Always use the line length specified by
> Man-width.  If this option would kick in when Man-width-min and
> Man-width-max are not set, the behaviour would not change for anyone who
> has set Man-width.
>
> The default for all of them would be nil, assuming that Man-width-min
> and Man-width-max do nothing when they are nil.

The value nil of Man-width means to dynamically calculate the line length
from the width of the window displaying the buffer.